Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 12 reacties
Bron: PHP.net, submitter: Arch_koven

Na het uitbrengen van drie release candidates hebben de makers van de hypertext preprocessor vandaag de finalversie van 4.3.2 beschikbaar gesteld voor het publiek. Deze release wordt ten zeerste aangeraden om te installeren omdat er in deze final enkele integer en buffer overflows worden verholpen. Het volledige changelog is op deze pagina te lezen, hieronder staat een samenvatting met de belangrijkste veranderingen:

PHP 4.3.2 contains, among others, following important fixes, additions and improvements:
  • Fixes several potentially hazardous integer and buffer overflows.
  • Fixes for several 64-bit problems.
  • New Apache 2.0 SAPI module (sapi/apache2handler, enabled with --with-apxs2).
  • New session_regenerate_id() function. (Important feature against malicious session planting).
  • Improvements to dba extension.
  • Improvements to thttpd SAPI module.
  • Dropped support for GDLIB version 1.x.x (php_gd.dll) on Windows.
  • An unix man page for CLI version of PHP.
  • New "disable_classes" php.ini option to allow administrators to disable certain classes for security reasons.
  • ..and a HUGE amount of other bug fixes!
Versienummer:4.3.2 final
Besturingssystemen:Windows 9x, Windows NT, Windows 2000, Linux, Windows XP, Linux x86
Website:PHP.net
Download:http://www.php.net/downloads.php
Bestandsgrootte:3,53MB
Licentietype:GPL
Moderatie-faq Wijzig weergave

Reacties (12)

New Apache 2.0 SAPI module (sapi/apache2handler, enabled with --with-apxs2).
Betekent dit dat Apache 2.x en php nu een go-go is?
Yup, maar dat was 't al wel een tijdje. :)
Ik dacht het niet.
Ik heb Apache 2.0 en PHP geprobeert te draaien maar ik krijg het niet lekker werkend.
Niet dat het helemall niet werkt, maar het werkt gewoon nog niet zo lekker als Apache 1.3.
Deze versie blijft in mijn ogen nog steeds snel en stabiel.
leg uit, wat is 't probleem dan ? want ik wil ooit ook over apache 2, maar zit ook te wachten op de "go"..
Nop.
Do not use Apache 2.0 and PHP in a production environment neither on Unix nor on Windows.
De jongens en meisjes van php.net raden het af om php + apache 2.0 in een productie omgeving te draaien.
Dat wil niet zeggen dat het niet werkt, maar ze garanderen niet dezelfde stabiliteit als php + apache 1.3.

Het is aan de installateur om te bepalen of hij het wel/niet wil.

Apache vroeg zich laatst af waarom zo weinig mensen overstapten naar 2.0. Ik denk dat de (officieel ontbrekende) ondersteuning voor php een heeeele belangrijke reden is. Misschien kunnen ze wat resources die kant op schuiven?
Na het uitbrengen van drie release candidates...
Het waren er vier, maar RC4 hebben jullie nooit gepost... :)
Misschien omdat de php mannen op php.net hadden gezet dat de derde rc de laatste was voor de final.
Maar toen kwam er een paar dagen later toch nog een vierde die er een krappe week gestaan heeft voor de final uitkwam gisteren.
tering heb ik even geluk, ik installeer net een nieuw systeem met webserver. Ik wist niet eens dat ik de nieuwste geinstalleerd had :Y)
Hmm, ik heb gister PHP 4.3.2RC4 geinstalled, die draait trouwens al zonder problemen. Gelukkig is het snel te updaten met DSO support enzo.
Hm, als ik eens zin heb om de handleiding voor hoe update ik php en apache in linux weer door te werken zal ik ook eens een keertje updaten...

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True